## START: Set by rpmautospec
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 17
%bcond_without check
%global debug_package %{nil}

%global crate atk-sys

Name:           rust-%{crate}
Version:        0.14.0
Release:        %autorelease
Summary:        FFI bindings to libatk-1

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/atk-sys
Source:         %{crates_source}
# Download license file until next version
Source1:        https://raw.githubusercontent.com/gtk-rs/gtk3-rs/master/LICENSE
Source2:        https://raw.githubusercontent.com/gtk-rs/gtk3-rs/master/COPYRIGHT

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
FFI bindings to libatk-1.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.18

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE COPYRIGHT
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+dox-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dox-devel %{_description}

This package contains library source intended for building other packages
which use "dox" feature of "%{crate}" crate.

%files       -n %{name}+dox-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_30-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.30

%description -n %{name}+v2_30-devel %{_description}

This package contains library source intended for building other packages
which use "v2_30" feature of "%{crate}" crate.

%files       -n %{name}+v2_30-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_32-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.32

%description -n %{name}+v2_32-devel %{_description}

This package contains library source intended for building other packages
which use "v2_32" feature of "%{crate}" crate.

%files       -n %{name}+v2_32-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+v2_34-devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(atk) >= 2.34

%description -n %{name}+v2_34-devel %{_description}

This package contains library source intended for building other packages
which use "v2_34" feature of "%{crate}" crate.

%files       -n %{name}+v2_34-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
cp %{SOURCE1} LICENSE
cp %{SOURCE2} COPYRIGHT

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(atk) >= 2.18'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Jul 14 2021 Robert-André Mauchin <zebob.m@gmail.com> 0.14.0-2
- Uncommitted changes

* Thu Jul 01 2021 Rémi Lauzier <remilauzier@protonmail.com> 0.14.0-1
- Update to 0.14.0

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> 0.10.0-1
- Update to 0.10.0

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> 0.9.1-2
- Fix new subpackage requirements.

* Wed Jan 15 2020 Josh Stone <jistone@redhat.com> 0.9.1-1
- Update to 0.9.1

* Tue Dec 10 2019 Josh Stone <jistone@redhat.com> 0.9.0-1
- Update to 0.9.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Apr 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.8.0-1
- Update to 0.8.0

* Tue Feb 05 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.7.0-1
- Update to 0.7.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Mar 20 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.6.0-1
- Update to 0.6.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.5.0-2
- Rebuild for rust-packaging v5

* Sat Jan 06 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> 0.5.0-1
- initial import
